# Bash Scripts

## Install Apache and Samba

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-apache.sh)"
```

### Optionally install uCMS

<pre><code>cd /var/www/cms/www
git clone https://git.myspace.nu/MySpace/uCMS-3.git .
chmod -R ugo+rwx ./</code></pre>

## Install MySQL

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-mysql.sh)"
```

## Install UFW (and disable iptables)

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-ufw.sh)"
```

## Install Bind

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-bind.sh)"
```

## Install Samba Active Directory Domain Controller

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/install-ubuntu-dc.sh)"
```

Combind with [pi.hole](https://pi-hole.net/) by running

```bash
curl -sSL https://install.pi-hole.net | bash
```

And update ```/etc/samba/smb.conf``` with ```dns forwarder = <IP-of-pi.hole>``` and make sure the DHCP uses the dc as DNS.


## Install VM Tweaks

```bash
sudo su -c "bash <(wget -qO- https://git.myspace.nu/MySpace/Docs/raw/branch/master/BashScripts/vm-tweaks.sh)"
```

